<?php
/**
 * Header Image option to show on all pages or just the front page.
 * @package Serifi
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

function serifi_customize_register_header( $wp_customize ) {
    

	// Heading - location to show the header image
	$wp_customize->add_control( new Serifi_Note_Control(
		$wp_customize, 'serifi_header_image_location_note', array(
			'label' => esc_html__( 'Header Miscellaneous Options', 'serifi' ),
			'description' => esc_html__( 'Any additional features for the header settings will be here for both the free and premium version of this theme.', 'serifi' ),
			'section' => 'header_image',
			'settings' => array(),
			)
	) );
	
}
add_action( 'customize_register', 'serifi_customize_register_header' );
