<?php
/**
 * Blog Page Settings
 * @package Serifi
 * @since 1.0.0
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

if (!function_exists('serifi_customize_register_page')) :
	function serifi_customize_register_page($wp_customize)
	{

		/** Post Options */
		$wp_customize->add_section(
			'serifi_page_options',
			array(
				'title'    => esc_html__('Page Options', 'serifi'),
				'priority' => 24,
			)
		);

		// Heading Page Hero Image
		$wp_customize->add_control(new Serifi_Note_Control(
			$wp_customize,
			'serifi_page_hero_note',
			array(
				'label' => esc_html__('Hero Image Page Heights', 'serifi'),
				'section' => 'serifi_page_options',
				'priority' => 1,
				'settings' => array(),
			)
		));


		/** Page hero image height*/
		$wp_customize->add_setting(
			'serifi_showcase_image_height',
			array(
				'default'           => 450,
				'transport' => 'postMessage',
				'sanitize_callback' => 'serifi_sanitize_number_absint'
			)
		);

		$wp_customize->add_control(
			new Serifi_Slider_Control(
				$wp_customize,
				'serifi_showcase_image_height',
				array(
					'section'	  => 'serifi_page_options',
					'label'		  => esc_html__('Minimum Showcase Image Height', 'serifi'),
					'description' => esc_html__('Change the showcase template image minimum height.', 'serifi'),
					'priority' => 2,
					'choices'	  => array(
						'min' 	=> 300,
						'max' 	=> 800,
						'step'	=> 10,
					)
				)
			)
		);				
		
	}
endif;

add_action('customize_register', 'serifi_customize_register_page');