<?php

/**
 * Typography Settings
 * @package Serifi
 * @since 1.0.4
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

function serifi_customize_register_typography($wp_customize)
{


	/** Typography */
	$wp_customize->add_section(
		'typography_settings',
		array(
			'title'    => esc_html__('Typography Options', 'serifi'),
			'priority' => 50,
		)
	);

	/** Font Size*/
	$wp_customize->add_setting(
		'serifi_font_size',
		array(
			'default'           => 16,
			'transport' => 'postMessage',
			'sanitize_callback' => 'serifi_sanitize_number_absint'
		)
	);

	$wp_customize->add_control(
		new Serifi_Slider_Control(
			$wp_customize,
			'serifi_font_size',
			array(
				'section'	  => 'typography_settings',
				'label'		  => esc_html__('Base Font Size', 'serifi'),
				'description' => esc_html__('Change the base font size of your site where everything using relative sizing will adapt.', 'serifi'),
				'choices'	  => array(
					'min' 	=> 10,
					'max' 	=> 50,
					'step'	=> 1,
				)
			)
		)
	);
}
add_action('customize_register', 'serifi_customize_register_typography');
