<?php
/**
 * Theme Info
 * @package Serifi
 * @since 1.0.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// Load the premium upgrade info when using the free version
function serifi_customizer_serifi_upgrade( $wp_customize ) {
	
    $wp_customize->add_section( 'serifi_upgrade', array(
		'title'       => esc_html__( 'Serifi Pro Version Features' , 'serifi' ),
		'priority'    => 5,
	) );
    
    /** Important Links */
	$wp_customize->add_setting( 'serifi_upgrade_theme', array(
            'default' => '',
            'sanitize_callback' => 'wp_kses_post',
        )
    );

	$serifi_upgrade = '<div class="upgrade-pro">';
	$serifi_upgrade .= '<p class="rp-discount">';
	$serifi_upgrade .= esc_html__('Save $10 (Limited Time Offer!) if you decide to upgrade to the Personal Year or Lifetime (Pro plugin) option with this discount code on checkout: ', 'serifi');
	$serifi_upgrade .= '<span class="rp-discount-code">';
	$serifi_upgrade .= 'SERIFI10';
	$serifi_upgrade .= '</span></p>';
	$serifi_upgrade .= '<p class="rp-pro-title">';
	$serifi_upgrade .= esc_html__('Pro Features: ', 'serifi');

	$serifi_upgrade .= '</p><ul class="rp-pro-list">';
	$serifi_upgrade .= '<li>' . esc_html('&bull; 10 Blog Styles', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; 10 Post Styles', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Splash Page Template', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Splash Page Mini-blog', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Custom Blog Intro', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Customizable Text Labels', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Custom Excerpt Sizing', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Auto Create Featured Image Thumbnails', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Make All Images Black &amp; White', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Customized Mailchimp Signup', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Customized Contact 7 Form', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Related Posts w/Thumbnails', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Author Widget w/Thumbnail', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Comments Widget w/Thumbnails', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Show/Hide Blog &amp; Post Elements', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Customizable Text Labels', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('&bull; Adjustable Hero Images', 'serifi'). '</li>';
	$serifi_upgrade .= '<li>' . esc_html('...and much more!', 'serifi'). '</li></ul>';
		
	
	$serifi_upgrade .= esc_html__( 'Even though the FREE version of Serifi offers a lot, you may want to opt-in for more features.', 'serifi' );
    $serifi_upgrade .= '<p>';
    $serifi_upgrade .= sprintf( __( '%1$sView Details%2$s', 'serifi' ),  '<a class="rp-get-pro button" href="' . esc_url( 'https://www.roughpixels.com/themes/serifi/' ) . '" target="_blank">', '</a>' );
    $serifi_upgrade .= '</p></div>';
	

	$wp_customize->add_control( new Serifi_Note_Control( $wp_customize, 'serifi_upgrade_theme', array(
                'section'     => 'serifi_upgrade',
				'label'	      => esc_html__( 'Serifi Pro', 'serifi' ),
                'description' => $serifi_upgrade
            )
        )
    );
}

add_action( 'customize_register', 'serifi_customizer_serifi_upgrade', 10 );